#include "asm86.h"
#include "ti86asm.inc"

; ************************

.org _asm_exec_ram

Periodic:
 ld a,1
 jr LoadInfo
 
Last:
 ld a,118
 jr LoadInfo
 
KeyLoop:
 call _getkey
 cp kRight
 jr z,AddNum
 cp kLeft
 jr z,SubNum
 cp kExit
 jp z,_jforcecmdnochar
 jr KeyLoop
 
AddNum:
 ld a,(ANumber)
 cp 118
 jr z,Periodic
 inc a
 jr LoadInfo
SubNum:
 ld a,(ANumber)
 cp 1
 jr z,Last
 dec a
 
LoadInfo:
 call _clrScrn
 ld (ANumber),a
 ld hl,Position
 
 ld b,a
loop:
 ld de,11
 add hl,de
 djnz loop
 sbc hl,de
 
 ld de,$0000
 call PutIt
 jr KeyLoop
 
PutIt:
 ld (_curRow),de
 jp _puts
 
; *************************

ANumber:
.db 1

Position:
;11 * 118 = 1298
;0
.db "Hydrogen",0,0,0
.db "Helium",0,0,0,0,0
.db "Lithium",0,0,0,0
.db "Berylium",0,0,0
.db "Boron",0,0,0,0,0,0
.db "Carbon",0,0,0,0,0
.db "Nitrogen",0,0,0
.db "Oxygen",0,0,0,0,0
.db "Fluorine",0,0,0
.db "Neon",0,0,0,0,0,0,0
;10
.db "Sodium",0,0,0,0,0
.db "Magnesium",0,0
.db "Aluminum",0,0,0
.db "Silicon",0,0,0,0
.db "Phosphorus",0
.db "Sulfur",0,0,0,0,0
.db "Chlorine",0,0,0
.db "Argon",0,0,0,0,0,0
.db "Potassium",0,0
.db "Calcium",0,0,0,0
;20
.db "Scandium",0,0,0
.db "Titanium",0,0,0
.db "Vanadium",0,0,0
.db "Chromium",0,0,0
.db "Manganese",0,0
.db "Iron",0,0,0,0,0,0,0
.db "Cobalt",0,0,0,0,0
.db "Nickel",0,0,0,0,0
.db "Copper",0,0,0,0,0
.db "Zinc",0,0,0,0,0,0,0
;30
.db "Gallium",0,0,0,0
.db "Germanium",0,0
.db "Arsenic",0,0,0,0
.db "Selenium",0,0,0
.db "Bromine",0,0,0,0
.db "Krypton",0,0,0,0
.db "Rubidium",0,0,0
.db "Strontium",0,0
.db "Yttrium",0,0,0,0
.db "Zirconium",0,0
;40
.db "Niobium",0,0,0,0
.db "Molybdenum",0
.db "Technetium",0
.db "Ruthenium",0,0
.db "Rhodium'",0,0,0
.db "Palladium",0,0
.db "Silver",0,0,0,0,0
.db "Cadmium",0,0,0,0
.db "Indium",0,0,0,0,0
.db "Tin",0,0,0,0,0,0,0,0
;50
.db "Antimony",0,0,0
.db "Tellurium",0,0
.db "Iodine",0,0,0,0,0
.db "Xenon",0,0,0,0,0,0
.db "Caesium",0,0,0,0
.db "Barium",0,0,0,0,0
.db "Lanthanum",0,0
.db "Cerium",0,0,0,0,0
.db "Praseodim~",0
.db "Neodymium",0,0
;60
.db "Promethium",0
.db "Samarium",0,0,0
.db "Europium",0,0,0
.db "Gadolinium",0
.db "Terbium",0,0,0,0
.db "Dysprosium",0
.db "Holmium",0,0,0,0
.db "Erbium",0,0,0,0,0
.db "Thulium",0,0,0,0
.db "Ytterbium",0,0
;70
.db "Lutetium",0,0,0
.db "Hafnium",0,0,0,0
.db "Tantalum",0,0,0
.db "Tungsten",0,0,0
.db "Rhenium",0,0,0,0
.db "Osmium",0,0,0,0,0
.db "Iridium",0,0,0,0
.db "Platinum",0,0,0
.db "Gold",0,0,0,0,0,0,0
.db "Mercury",0,0,0,0
;80
.db "Thallium",0,0,0
.db "Lead",0,0,0,0,0,0,0
.db "Bismuth",0,0,0,0
.db "Polonium",0,0,0
.db "Astatine",0,0,0
.db "Radon",0,0,0,0,0,0
.db "Francium",0,0,0
.db "Radium",0,0,0,0,0
.db "Actinium",0,0,0
.db "Thorium",0,0,0,0
;90
.db "Protactin~",0
.db "Uranium",0,0,0,0
.db "Neptunium",0,0
.db "Plutonium",0,0
.db "Americium",0,0
.db "Curium",0,0,0,0,0
.db "Berkelium",0,0
.db "Californ~",0,0
.db "Eisteinium",0
.db "Fermium",0,0,0,0
;100
.db "Mendelev~",0,0
.db "Nobelium",0,0,0
.db "Lawrencium",0
.db "Ruther*ium",0
.db "Dubnium",0,0,0,0
.db "Seaborgium",0
.db "Bohrium",0,0,0,0
.db "Hassium",0,0,0,0
.db "Meitnerium",0
.db "Darmstadt~",0
;110
.db "Unununium",0,0
.db "Ununbium",0,0,0
.db "Ununtrium",0,0
.db "Ununquad~",0,0
.db "Ununpent~",0,0
.db "Ununhex~",0,0,0
.db "Ununsept~",0,0
.db "Ununoct~",0,0,0
;118

.end