#include "asm86.h"
#include "ti86asm.inc"

; ************************

.org _asm_exec_ram

Periodic:
 ld a,1
 jr LoadInfo
 
Last:
 ld a,118
 jr LoadInfo
 
KeyLoop:
 call _getkey
 cp kRight
 jr z,AddNum
 cp kLeft
 jr z,SubNum
 cp kExit
 jp z,_jforcecmdnochar
 jr KeyLoop
 
AddNum:
 ld a,(ANumber)
 cp 118
 jr z,Periodic
 inc a
 jr LoadInfo
SubNum:
 ld a,(ANumber)
 cp 1
 jr z,Last
 dec a
 
LoadInfo:
 call _clrScrn
 ld (ANumber),a
 ld hl,Position
 
 ld b,a
loop:
 ld de,14
 add hl,de
 djnz loop
 sbc hl,de
 ld de,$0003
 call PutIt
 ld de,$0400
 call PutIt
 
 ld a,(ANumber)
DispA:
 ld l,a
 ld h,0
DispHL:
 xor a
 ld de,$0001
 ld (_curRow),de
 call _dispAHL
 dec hl
 call PutIt
 
 ld hl,Setup
 xor d
 xor e
 call PutIt
 inc e
 call PutIt 
 jr KeyLoop
 
PutIt:
 ld (_curRow),de
 jp _puts
 
; *************************

ANumber:
.db 1

Setup:
.db "Sym",0
.db "#",0

Position:
;14 * 118 = 1652
;0
.db "Hydrogen",0,"H",0,0,0,0
.db "Helium",0,"He",0,0,0,0,0
.db "Lithium",0,"Li",0,0,0,0
.db "Berylium",0,"Be",0,0,0
.db "Boron",0,"B",0,0,0,0,0,0,0
.db "Carbon",0,"C",0,0,0,0,0,0
.db "Nitrogen",0,"N",0,0,0,0
.db "Oxygen",0,"O",0,0,0,0,0,0
.db "Fluorine",0,"F",0,0,0,0
.db "Neon",0,"Ne",0,0,0,0,0,0,0
;10
.db "Sodium",0,"Ne",0,0,0,0,0
.db "Magnesium",0,"Ne",0,0
.db "Aluminum",0,"Al",0,0,0
.db "Silicon",0,"Si",0,0,0,0
.db "Phosphorus",0,"P",0,0
.db "Sulfur",0,"S",0,0,0,0,0,0
.db "Chlorine",0,"Cl",0,0,0
.db "Argon",0,"Ar",0,0,0,0,0,0
.db "Potassium",0,"K",0,0,0
.db "Calcium",0,"Ca",0,0,0,0
;20
.db "Scandium",0,"Sc",0,0,0
.db "Titanium",0,"Ti",0,0,0
.db "Vanadium",0,"V",0,0,0,0
.db "Chromium",0,"Cr",0,0,0
.db "Manganese",0,"Mn",0,0
.db "Iron",0,"Fe",0,0,0,0,0,0,0
.db "Cobalt",0,"Co",0,0,0,0,0
.db "Nickel",0,"Ni",0,0,0,0,0
.db "Copper",0,"Cu",0,0,0,0,0
.db "Zinc",0,"Zn",0,0,0,0,0,0,0
;30
.db "Gallium",0,"Ga",0,0,0,0
.db "Germanium",0,"Ge",0,0
.db "Arsenic",0,"As",0,0,0,0
.db "Selenium",0,"Se",0,0,0
.db "Bromine",0,"Br",0,0,0,0
.db "Krypton",0,"Kr",0,0,0,0
.db "Rubidium",0,"Rb",0,0,0
.db "Strontium",0,"St",0,0
.db "Yttrium",0,"Y",0,0,0,0,0
.db "Zirconium",0,"Zr",0,0
;40
.db "Niobium",0,"Nb",0,0,0,0
.db "Molybdenum",0,"Mo",0
.db "Technetium",0,"Tc",0
.db "Ruthenium",0,"Ru",0,0
.db "Rhodium'",0,"Rh",0,0,0
.db "Palladium",0,"Pd",0,0
.db "Silver",0,"Au",0,0,0,0,0
.db "Cadmium",0,"Cd",0,0,0,0
.db "Indium",0,"In",0,0,0,0,0
.db "Tin",0,"Sn",0,0,0,0,0,0,0,0
;50
.db "Antimony",0,"Sb",0,0,0
.db "Tellurium",0,"Te",0,0
.db "Iodine",0,"I",0,0,0,0,0,0
.db "Xenon",0,"Xe",0,0,0,0,0,0
.db "Caesium",0,"Cs",0,0,0,0
.db "Barium",0,"Ba",0,0,0,0,0
.db "Lanthanum",0,"La",0,0
.db "Cerium",0,"Ce",0,0,0,0,0
.db "Praseodim~",0,"Pr",0
.db "Neodymium",0,"Nd",0,0
;60
.db "Promethium",0,"Pm",0
.db "Samarium",0,"Sm",0,0,0
.db "Europium",0,"Eu",0,0,0
.db "Gadolinium",0,"Gd",0
.db "Terbium",0,"Tb",0,0,0,0
.db "Dysprosium",0,"Dy",0
.db "Holmium",0,"Ho",0,0,0,0
.db "Erbium",0,"Er",0,0,0,0,0
.db "Thulium",0,"Tm",0,0,0,0
.db "Ytterbium",0,"Yb",0,0
;70
.db "Lutetium",0,"Lu",0,0,0
.db "Hafnium",0,"Hf",0,0,0,0
.db "Tantalum",0,"Ta",0,0,0
.db "Tungsten",0,"W",0,0,0,0
.db "Rhenium",0,"Re",0,0,0,0
.db "Osmium",0,"Os",0,0,0,0,0
.db "Iridium",0,"Ir",0,0,0,0
.db "Platinum",0,"Pt",0,0,0
.db "Gold",0,"Au",0,0,0,0,0,0,0
.db "Mercury",0,"Hg",0,0,0,0
;80
.db "Thallium",0,"Tl",0,0,0
.db "Lead",0,"Pb",0,0,0,0,0,0,0
.db "Bismuth",0,"Bi",0,0,0,0
.db "Polonium",0,"Po",0,0,0
.db "Astatine",0,"At",0,0,0
.db "Radon",0,"Rn",0,0,0,0,0,0
.db "Francium",0,"Fr",0,0,0
.db "Radium",0,"Rd",0,0,0,0,0
.db "Actinium",0,"Ac",0,0,0
.db "Thorium",0,"Th",0,0,0,0
;90
.db "Protactin~","Pa",0,0
.db "Uranium",0,"U",0,0,0,0,0
.db "Neptunium",0,"Np",0,0
.db "Plutonium",0,"Pu",0,0
.db "Americium",0,"Am",0,0
.db "Curium",0,"Cm",0,0,0,0,0
.db "Berkelium","Bk",0,0,0
.db "Californ~",0,"Cf",0,0
.db "Eisteinium",0,"Es",0
.db "Fermium",0,"Fm",0,0,0,0
;100
.db "Mendelev~",0,"Md",0,0
.db "Nobelium",0,"No",0,0,0
.db "Lawrencium",0,"Lr",0
.db "Ruther*ium",0,"Rf",0
.db "Dubnium",0,"Db",0,0,0,0
.db "Seaborgium",0,"Sg",0
.db "Bohrium",0,"Bh",0,0,0,0
.db "Hassium",0,"Hs",0,0,0,0
.db "Meitnerium",0,"Mt",0
.db "Darmstadt~",0,"Ds",0
;110
.db "Unununium",0,"Uuu",0
.db "Ununbium",0,"Uub",0,0
.db "Ununtrium",0,"Uut",0
.db "Ununquad~",0,"Uuq",0
.db "Ununpent~",0,"Uup",0
.db "Ununhex~",0,"Uuh",0,0
.db "Ununsept~",0,"Uus",0
.db "Ununoct~",0,"Uuo",0
;118

.end